about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorThomas E. Dickey <dickey@invisible-island.net>2017-07-07 01:22:54 +0000
committerThomas E. Dickey <dickey@invisible-island.net>2017-07-07 01:22:54 +0000
commit76d2be2260440834dcd64ec0fedc27aa08771f0f (patch)
tree7eb946fbe433fbdc9493e2149361e629741ade07
parentd53b10484174f94b6ddf17ef00c6f91cefac14d4 (diff)
downloadlynx-snapshots-76d2be2260440834dcd64ec0fedc27aa08771f0f.tar.gz
snapshot of project "lynx", label v2-8-9dev_15d
-rw-r--r--CHANGES6
-rw-r--r--config.hin4
-rwxr-xr-xconfigure39
-rw-r--r--configure.in6
-rw-r--r--makefile.in4
-rw-r--r--po/lynx.pot18
-rw-r--r--po/makefile.inn33
-rw-r--r--userdefs.h7
8 files changed, 74 insertions, 43 deletions
diff --git a/CHANGES b/CHANGES
index 21308f77..edabcead 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,9 +1,11 @@
--- $LynxId: CHANGES,v 1.912 2017/07/06 00:25:29 tom Exp $
+-- $LynxId: CHANGES,v 1.913 2017/07/07 01:22:54 tom Exp $
 ===============================================================================
 Changes since Lynx 2.8 release
 ===============================================================================
 
-2017-07-05 (2.8.9dev.16)
+2017-07-06 (2.8.9dev.16)
+* modify po-makefile to use msgmerge to align with lynx.pot, and also use sed
+  to update some obsolete homepage URLs in translations -TD
 * add a note in the comments for INCLUDE in lynx.cfg regarding the default
   directory searches LYOpenCFG(), added in 2.8.4dev.20 (Debian #818047) -TD
 * add a check to ensure that HTML_put_string() will not append a chunk onto
diff --git a/config.hin b/config.hin
index bc2123f5..5927e801 100644
--- a/config.hin
+++ b/config.hin
@@ -1,5 +1,5 @@
 /*
- * $LynxId: config.hin,v 1.139 2016/04/16 00:47:08 tom Exp $
+ * $LynxId: config.hin,v 1.140 2017/07/06 00:47:43 tom Exp $
  * vile:cmode
  *
  * The configure script translates "config.hin" into "lynx_cfg.h"
@@ -7,6 +7,8 @@
 #ifndef LYNX_CFG_H
 #define LYNX_CFG_H 1
 
+#undef HOMEPAGE_URL
+
 #undef ALL_CHARSETS		/* AC_ARG_WITH(charsets) */
 #undef ALT_CHAR_SET		/* CF_ALT_CHAR_SET */
 #undef ARCHIVE_ONLY		/* CF_ARG_DISABLE(dired-archive) */
diff --git a/configure b/configure
index 1b4d359b..422f2909 100755
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in 2.8.9dev.15.
+# From configure.in 2.8.9dev.16.
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20170501.
 #
@@ -44947,6 +44947,12 @@ if test -n "$srcdir" ; then
 	test "$srcdir" != "." && SRCDIR_CLEAN=""
 fi
 
+HOMEPAGE_URL="http://lynx.invisible-island.net/"
+
+cat >>confdefs.h <<EOF
+#define HOMEPAGE_URL "$HOMEPAGE_URL"
+EOF
+
 ac_config_files="$ac_config_files makefile WWW/Library/Implementation/makefile src/makefile src/chrtrans/makefile $SUB_MAKEFILE"
 ac_config_commands="$ac_config_commands default"
 cat >confcache <<\_ACEOF
@@ -45028,7 +45034,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:45031: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:45037: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -45204,7 +45210,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:45207: error: ambiguous option: $1
+    { { echo "$as_me:45213: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -45223,7 +45229,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:45226: error: unrecognized option: $1
+  -*) { { echo "$as_me:45232: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -45276,7 +45282,7 @@ do
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "$CONFIG_H" ) CONFIG_HEADERS="$CONFIG_HEADERS $CONFIG_H:config.hin" ;;
-  *) { { echo "$as_me:45279: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:45285: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -45495,6 +45501,7 @@ s,@ac_ct_XCURSES_CONFIG@,$ac_ct_XCURSES_CONFIG,;t t
 s,@cf_ldd_prog@,$cf_ldd_prog,;t t
 s,@EXTRA_LDFLAGS@,$EXTRA_LDFLAGS,;t t
 s,@CONFIG_SHELL@,$CONFIG_SHELL,;t t
+s,@HOMEPAGE_URL@,$HOMEPAGE_URL,;t t
 s,@SRCDIR_CLEAN@,$SRCDIR_CLEAN,;t t
 CEOF
 
@@ -45628,7 +45635,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:45631: creating $ac_file" >&5
+    { echo "$as_me:45638: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -45646,7 +45653,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:45649: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:45656: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -45659,7 +45666,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:45662: error: cannot find input file: $f" >&5
+           { { echo "$as_me:45669: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -45675,7 +45682,7 @@ cat >>$CONFIG_STATUS <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:45678: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:45685: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -45684,7 +45691,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:45687: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:45694: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -45721,7 +45728,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:45724: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:45731: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -45732,7 +45739,7 @@ $ac_seen" >&2;}
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:45735: WARNING: Some variables may not be substituted:
+      { echo "$as_me:45742: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -45781,7 +45788,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:45784: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:45791: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -45792,7 +45799,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:45795: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:45802: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -45805,7 +45812,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:45808: error: cannot find input file: $f" >&5
+           { { echo "$as_me:45815: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -45923,7 +45930,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:45926: $ac_file is unchanged" >&5
+      { echo "$as_me:45933: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/configure.in b/configure.in
index 9340b560..bd80ab9e 100644
--- a/configure.in
+++ b/configure.in
@@ -1,4 +1,4 @@
-dnl $LynxId: configure.in,v 1.291 2017/07/05 20:13:35 tom Exp $
+dnl $LynxId: configure.in,v 1.292 2017/07/06 00:48:30 tom Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -1561,6 +1561,10 @@ if test -n "$srcdir" ; then
 	test "$srcdir" != "." && SRCDIR_CLEAN=""
 fi
 
+HOMEPAGE_URL="http://lynx.invisible-island.net/"
+AC_DEFINE_UNQUOTED(HOMEPAGE_URL,"$HOMEPAGE_URL",[Define to Lynx homepage URL])
+AC_SUBST(HOMEPAGE_URL)
+
 AC_SUBST(SRCDIR_CLEAN)
 AC_OUTPUT(
 	[makefile \
diff --git a/makefile.in b/makefile.in
index 5bfcacda..0e8f4e2a 100644
--- a/makefile.in
+++ b/makefile.in
@@ -1,4 +1,4 @@
-# $LynxId: makefile.in,v 1.163 2017/07/05 20:13:35 tom Exp $
+# $LynxId: makefile.in,v 1.164 2017/07/06 08:46:09 tom Exp $
 ##makefile for lynx
 
 SHELL		= @CONFIG_SHELL@
@@ -347,7 +347,7 @@ install-doc : $(DOCDIR) $(HELPDIR)
 # So we limit sed delimiters to '!' and '%', depending on the expected text.
 FIX_SED = tr '=' '"'
 
-LYNX_URL='http://lynx.invisible-island.net/release/breakout'
+LYNX_URL='@HOMEPAGE_URL@release/breakout'
 LYNXDOCS_URL='$(LYNX_URL)/docs/'
 LYNXHELP_URL='$(LYNX_URL)/lynx_help/'
 
diff --git a/po/lynx.pot b/po/lynx.pot
index 1880a1bc..2b447b0d 100644
--- a/po/lynx.pot
+++ b/po/lynx.pot
@@ -1,9 +1,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: lynx 2.8.9dev.15\n"
+"Project-Id-Version: lynx 2.8.9dev.16\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-07-04 16:51-0400\n"
+"POT-Creation-Date: 2017-07-06 04:38-0400\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -3693,31 +3693,31 @@ msgstr ""
 msgid "Y/N/A/V"
 msgstr ""
 
-#: src/HTML.c:5932
+#: src/HTML.c:5943
 msgid "Description:"
 msgstr ""
 
-#: src/HTML.c:5937
+#: src/HTML.c:5948
 msgid "(none)"
 msgstr ""
 
-#: src/HTML.c:5941
+#: src/HTML.c:5952
 msgid "Filepath:"
 msgstr ""
 
-#: src/HTML.c:5947
+#: src/HTML.c:5958
 msgid "(unknown)"
 msgstr ""
 
-#: src/HTML.c:7387
+#: src/HTML.c:7398
 msgid "Document has only hidden links.  Use the 'l'ist command."
 msgstr ""
 
-#: src/HTML.c:7885
+#: src/HTML.c:7896
 msgid "Source cache error - disk full?"
 msgstr ""
 
-#: src/HTML.c:7898
+#: src/HTML.c:7909
 msgid "Source cache error - not enough memory!"
 msgstr ""
 
diff --git a/po/makefile.inn b/po/makefile.inn
index 55887e17..fcbac937 100644
--- a/po/makefile.inn
+++ b/po/makefile.inn
@@ -1,4 +1,4 @@
-# $LynxId: makefile.inn,v 1.22 2015/10/02 11:12:57 tom Exp $
+# $LynxId: makefile.inn,v 1.26 2017/07/07 01:22:54 tom Exp $
 #
 # Makefile for program source directory in GNU NLS utilities package.
 # Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
@@ -74,6 +74,7 @@ INSTOBJ		= $(NLS_TEXTDOMAIN)$(INSTOBJEXT)
 .SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat
 
 .c.o:
+	@RULE_CC@
 	$(COMPILE) $<
 
 .po.pox:
@@ -81,14 +82,21 @@ INSTOBJ		= $(NLS_TEXTDOMAIN)$(INSTOBJEXT)
 	$(MSGMERGE) -w 132 $< $(srcdir)/$(PACKAGE).pot -o $*.pox
 
 .po.mo:
-	$(MSGFMT) -o $@ $<
+	@echo "translating $< to $@"
+	@ECHO_CC@$(MSGFMT) -o $@ $<
 
 .po.gmo:
-	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
-	  && rm -f $$file && $(GMSGFMT) -o $$file $<
+	@echo "translating $< to $@"
+	@sed	-e s,http://lynx.browser.org/,@HOMEPAGE_URL@,g \
+		-e s,http://lynx.isc.org/,@HOMEPAGE_URL@,g $< >pass1.tmp
+	@ECHO_CC@$(MSGMERGE) -w 132 pass1.tmp $(srcdir)/$(PACKAGE).pot -o pass2.tmp
+	@ECHO_CC@file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
+	  && rm -f $$file && $(GMSGFMT) -o $$file pass2.tmp
+	@-rm -f pass*.tmp
 
 .po.cat:
-	sed -f ../intl/po2msg.sed < $< > $*.msg \
+	@echo "translating $< to $@"
+	@ECHO_CC@sed -f ../intl/po2msg.sed < $< > $*.msg \
 	  && rm -f $@ && $(GENCAT) $@ $*.msg
 
 
@@ -97,9 +105,9 @@ all: all-@USE_NLS@
 all-yes: $(SOURCES) $(CATALOGS)
 all-no:
 
-en.po :	
+en.po :
 	msginit --no-translator -l en -i $(PACKAGE).pot
-	# cygwin's msginit 1.19.3 creates "en_US.po" rather than "en.po"...
+# cygwin's msginit 1.19.3 creates "en_US.po" rather than "en.po"...
 	@$(SHELL) -c 'for n in en*.po; \
 		do \
 		if test -f $$n; \
@@ -110,8 +118,12 @@ en.po :
 		done'
 
 $(srcdir)/$(PACKAGE).pot: $(POTFILES)
-	$(XGETTEXT) --default-domain=$(NLS_TEXTDOMAIN) --directory=$(top_srcdir) \
-	  --add-comments --keyword=_ --keyword=N_ \
+	$(XGETTEXT) \
+	  --default-domain=$(NLS_TEXTDOMAIN) \
+	  --directory=$(top_srcdir) \
+	  --add-comments \
+	  --keyword=_ \
+	  --keyword=N_ \
 	  --files-from=$(srcdir)/POTFILES.in \
 	&& test ! -f $(PACKAGE).po \
 	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
@@ -201,12 +213,13 @@ dvi info tags TAGS ID:
 
 mostlyclean:
 	rm -f core core.* *.pox $(PACKAGE).po en.po *.old.po cat-id-tbl.tmp
+	rm -f *.gmo *.mo *.tmp
 	rm -fr *.o
 
 clean: mostlyclean
 
 distclean: clean
-	rm -f cat-id-tbl.c stamp-cat-id *.gmo *.mo
+	rm -f cat-id-tbl.c stamp-cat-id
 	rm -f makefile makefile.in POTFILES *.mo *.msg *.cat *.cat.m
 
 maintainer-clean: distclean
diff --git a/userdefs.h b/userdefs.h
index e3b4ddba..35181437 100644
--- a/userdefs.h
+++ b/userdefs.h
@@ -1,5 +1,5 @@
 /*
- * $LynxId: userdefs.h,v 1.328 2017/07/05 20:13:35 tom Exp $
+ * $LynxId: userdefs.h,v 1.329 2017/07/06 00:50:59 tom Exp $
  *
  * Lynx - Hypertext navigation system
  *
@@ -483,7 +483,10 @@
  * Normally we expect you will connect to a remote site, e.g., the Lynx starting
  * site:
  */
-#define STARTFILE "http://lynx.invisible-island.net/"
+#ifndef HOMEPAGE_URL
+#define HOMEPAGE_URL "http://lynx.invisible-island.net/"
+#endif
+#define STARTFILE HOMEPAGE_URL
 /*
  * As an alternative, you may want to use a local URL.  A good choice for this
  * is the user's home directory: